"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonEntity = void 0;
const typeorm_1 = require("typeorm");
class CommonEntity extends typeorm_1.BaseEntity {
    constructor() {
        super(...arguments);
        this.unixTimestamp = Date.now() + performance.now();
    }
    insertDates() {
        console.log('🚀 ~  performance.now():', performance.now());
        this.created_at = this.unixTimestamp;
        this.updated_at = this.unixTimestamp;
    }
    updateDates() {
        this.updated_at = this.unixTimestamp;
    }
}
__decorate([
    (0, typeorm_1.Column)({
        type: 'double precision',
        default: 1,
    }),
    __metadata("design:type", Number)
], CommonEntity.prototype, "created_at", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'double precision',
        default: 1,
    }),
    __metadata("design:type", Number)
], CommonEntity.prototype, "updated_at", void 0);
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], CommonEntity.prototype, "id", void 0);
__decorate([
    (0, typeorm_1.BeforeInsert)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], CommonEntity.prototype, "insertDates", null);
__decorate([
    (0, typeorm_1.BeforeUpdate)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], CommonEntity.prototype, "updateDates", null);
exports.CommonEntity = CommonEntity;
//# sourceMappingURL=_common.entity.js.map