"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BranchEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_entity_1 = require("./_common.entity");
let BranchEntity = class BranchEntity extends _common_entity_1.CommonEntity {
};
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], BranchEntity.prototype, "restaurant_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], BranchEntity.prototype, "brand_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
    }),
    __metadata("design:type", String)
], BranchEntity.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], BranchEntity.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        default: 5,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "average_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        default: 5,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "food_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        default: 5,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "price_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        default: 5,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "spatial_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        default: 5,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "hygiene_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        default: 5,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "service_rating", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "no_of_review", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], BranchEntity.prototype, "logo", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], BranchEntity.prototype, "banner", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        nullable: true,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "lat", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        nullable: true,
    }),
    __metadata("design:type", Number)
], BranchEntity.prototype, "lng", void 0);
BranchEntity = __decorate([
    (0, typeorm_1.Entity)('branch')
], BranchEntity);
exports.BranchEntity = BranchEntity;
//# sourceMappingURL=branch.entity.js.map