"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_entity_1 = require("./_common.entity");
let UserEntity = class UserEntity extends _common_entity_1.CommonEntity {
};
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "avatar", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "full_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "nick_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "identification", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "lat", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'real',
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "lng", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "city_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "district_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "ward_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "country_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "no_of_alo_point", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "no_of_follow", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "cover", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "phone", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "gender", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "birthday", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "first_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "last_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "no_of_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "website", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "email", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        array: true,
        default: [],
    }),
    __metadata("design:type", Array)
], UserEntity.prototype, "user_interests", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_notify", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_dark_mode", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_about", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_life_event", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "view_media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 1,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_request_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_display_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_gender", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_birthday", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_phone", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_email", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_city", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_district", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "is_enable_ward", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp',
        nullable: true,
    }),
    __metadata("design:type", Date)
], UserEntity.prototype, "time_seen_notify", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp',
        nullable: true,
    }),
    __metadata("design:type", Date)
], UserEntity.prototype, "last_connect", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], UserEntity.prototype, "restaurant_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 1,
    }),
    __metadata("design:type", Number)
], UserEntity.prototype, "status", void 0);
UserEntity = __decorate([
    (0, typeorm_1.Entity)('user')
], UserEntity);
exports.UserEntity = UserEntity;
//# sourceMappingURL=user.entity.js.map