import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('action_level')
export class ActionLevelEntity extends CommonEntity {
  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'int',
  })
  point_target: number;

  @Column({
    type: 'int',
  })
  point_bonus: number;

  @Column({
    type: 'int',
  })
  total_point_bonus: number;
}
