import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('business_type')
export class BusinessTypeEntity extends CommonEntity {
  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_hidden: number;

  @Column({
    type: 'text',
    nullable: true,
  })
  description: string;
}
