import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('conversation_user_background')
export class ConversationUserBackgroundEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'text',
  })
  background: string;
}
