import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_vote_option')
export class MessageVoteOptionEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_vote_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  no_of_vote: number;

  @Column({
    type: 'varchar',
  })
  content: string;
}
