import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('reaction_post')
export class ReactionPostEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  post_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  reaction_type: number;
}
