import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('restaurant')
export class RestaurantEntity extends CommonEntity {
  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  phone: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  logo: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  cover: string;

  @Column({
    type: 'varchar',
    nullable: true,
  })
  address: string;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number;
}
