import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('sticker')
export class StickerEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  category_sticker_id: string;

  @Column({
    type: 'text',
  })
  media: string;

  @Column({
    type: 'varchar',
    array: true,
  })
  tag: string[];
}
