"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryStickerEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_entity_1 = require("./_common.entity");
let CategoryStickerEntity = class CategoryStickerEntity extends _common_entity_1.CommonEntity {
};
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "owner_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "price", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "no_of_download", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "no_of_sticker", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "delete_reason", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        nullable: true,
    }),
    __metadata("design:type", String)
], CategoryStickerEntity.prototype, "reject_reason", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "is_admin", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "is_bypass_download", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], CategoryStickerEntity.prototype, "status", void 0);
CategoryStickerEntity = __decorate([
    (0, typeorm_1.Entity)('category_sticker')
], CategoryStickerEntity);
exports.CategoryStickerEntity = CategoryStickerEntity;
//# sourceMappingURL=category-sticker.entity.js.map