"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessagePromotionBrandEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_entity_1 = require("./_common.entity");
let MessagePromotionBrandEntity = class MessagePromotionBrandEntity extends _common_entity_1.CommonEntity {
};
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "promotion_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", Number)
], MessagePromotionBrandEntity.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        array: true,
        default: [],
    }),
    __metadata("design:type", Array)
], MessagePromotionBrandEntity.prototype, "user_ids", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "cover", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "start_date", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "end_date", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], MessagePromotionBrandEntity.prototype, "attack_type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "brand_id", void 0);
MessagePromotionBrandEntity = __decorate([
    (0, typeorm_1.Entity)('message_promotion_brand')
], MessagePromotionBrandEntity);
exports.MessagePromotionBrandEntity = MessagePromotionBrandEntity;
//# sourceMappingURL=message-promotion-brand.entity.js.map