import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('card_tag')
export class CardTagEntity extends CommonEntity {
  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'varchar',
  })
  color_hex_code: string;

  @Column({
    type: 'smallint',
  })
  type: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  is_deleted: number;
}
