import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('conversation_background')
export class ConversationBackgroundEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'json',
  })
  media: any;

  @Column({
    type: 'smallint',
  })
  status: number;
}
