import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('love_brand')
export class LoveBrandEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  brand_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'int',
    default: 1,
    nullable: true,
  })
  is_favourite: number;
}
