import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_pinned')
export class MessagePinnedEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_id: string;

  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number; //0 - Đá gỡ ghim, 1 - Đang ghim,
}
