import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('message_vote_user')
export class MessageVoteUserEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_vote_id: string;

  @Column({
    type: 'bigint',
  })
  message_vote_option_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  status: number;
}
