import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('report')
export class ReportEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  content_id: number;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  report_user_id: string;

  @Column({
    type: 'int',
  })
  type: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_report: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  status: number;
}
