import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('user_register_membership_card')
export class UserRegisterMembershipCardEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
  })
  restaurant_id: string;

  @Column({
    type: 'smallint',
    default: 1,
  })
  status: number;
}
